org.apache.axiom.soap.impl.builder

## Interface SOAP12FactoryEx

- All Superinterfaces:
    OMFactory, OMFactoryEx, SOAPFactory, SOAPFactoryEx

      public interface SOAP12FactoryEx
      extends SOAPFactoryEx

  Interface that is used internally by Axiom and that should not be considered being part of the public API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SOAPFaultNode` | `createSOAPFaultNode(SOAPFault parent, OMXMLParserWrapper builder)` Node eii under SOAPFault (parent)
    `SOAPFaultSubCode` | `createSOAPFaultSubCode(SOAPFaultCode parent, OMXMLParserWrapper builder)` SubCode eii under Value (parent)
    `SOAPFaultSubCode` | `createSOAPFaultSubCode(SOAPFaultSubCode parent, OMXMLParserWrapper builder)` SubCode eii under SubCode (parent)
    `SOAPFaultText` | `createSOAPFaultText(SOAPFaultReason parent, OMXMLParserWrapper builder)` SubCode eii under SubCode (parent)
    `SOAPFaultValue` | `createSOAPFaultValue(SOAPFaultCode parent, OMXMLParserWrapper builder)` Value eii under Code (parent)
    `SOAPFaultValue` | `createSOAPFaultValue(SOAPFaultSubCode parent, OMXMLParserWrapper builder)`

    - ### Methods inherited from interface org.apache.axiom.soap.impl.builder.SOAPFactoryEx

      `createSOAPBody, createSOAPEnvelope, createSOAPFault, createSOAPFaultCode, createSOAPFaultDetail, createSOAPFaultReason, createSOAPFaultRole, createSOAPHeader, createSOAPHeaderBlock, createSOAPMessage`

    - ### Methods inherited from interface org.apache.axiom.soap.SOAPFactory

      `createDefaultSOAPMessage, createSOAPBody, createSOAPBody, createSOAPEnvelope, createSOAPEnvelope, createSOAPFault, createSOAPFault, createSOAPFault, createSOAPFaultCode, createSOAPFaultCode, createSOAPFaultDetail, createSOAPFaultDetail, createSOAPFaultNode, createSOAPFaultNode, createSOAPFaultReason, createSOAPFaultReason, createSOAPFaultRole, createSOAPFaultRole, createSOAPFaultSubCode, createSOAPFaultSubCode, createSOAPFaultSubCode, createSOAPFaultText, createSOAPFaultText, createSOAPFaultValue, createSOAPFaultValue, createSOAPFaultValue, createSOAPHeader, createSOAPHeader, createSOAPHeaderBlock, createSOAPHeaderBlock, createSOAPHeaderBlock, createSOAPHeaderBlock, createSOAPMessage, getDefaultEnvelope, getDefaultFaultEnvelope, getNamespace, getSOAPVersion, getSoapVersionURI`

    - ### Methods inherited from interface org.apache.axiom.om.impl.builder.OMFactoryEx

      `createOMComment, createOMDocType, createOMDocument, createOMElement, createOMEntityReference, createOMProcessingInstruction, createOMText, createOMText, importNode`

    - ### Methods inherited from interface org.apache.axiom.om.OMFactory

      `createOMAttribute, createOMComment, createOMDocType, createOMDocument, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMEntityReference, createOMNamespace, createOMProcessingInstruction, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, getMetaFactory`

- - ### Method Detail

    - #### createSOAPFaultValue

          SOAPFaultValue createSOAPFaultValue(SOAPFaultCode parent,
                                              OMXMLParserWrapper builder)

      Value eii under Code (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultValue.

    - #### createSOAPFaultValue

          SOAPFaultValue createSOAPFaultValue(SOAPFaultSubCode parent,
                                              OMXMLParserWrapper builder)

    - #### createSOAPFaultSubCode

          SOAPFaultSubCode createSOAPFaultSubCode(SOAPFaultCode parent,
                                                  OMXMLParserWrapper builder)

      SubCode eii under Value (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultSubCode.

    - #### createSOAPFaultSubCode

          SOAPFaultSubCode createSOAPFaultSubCode(SOAPFaultSubCode parent,
                                                  OMXMLParserWrapper builder)

      SubCode eii under SubCode (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultSubCode.

    - #### createSOAPFaultText

          SOAPFaultText createSOAPFaultText(SOAPFaultReason parent,
                                            OMXMLParserWrapper builder)

      SubCode eii under SubCode (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultText.

    - #### createSOAPFaultNode

          SOAPFaultNode createSOAPFaultNode(SOAPFault parent,
                                            OMXMLParserWrapper builder)

      Node eii under SOAPFault (parent)
      Parameters:
        `parent` -
        `builder` -
      Returns:
        Returns SOAPFaultNode.

Copyright © The Apache Software Foundation. All Rights Reserved.